program OW_rand
 use sep 
 use OW_type
 use OW_parms_areal
 real, allocatable               :: randz(:,:,:,:,:,:)                    
 call sep_init()
 call sep_begin_prog()
 call owparam()
 allocate(randz(sog%xm%n,sog%ym%n,sou%w%n,nhorz,ngap,nreal))
 call random_number(randz)
 call srite("out",randz,4*sog%xm%n*sog%ym%n*sou%w%n*nreal*ngap*nhorz)
 deallocate(randz)
 call sep_end_prog()
 end program OW_rand
